#include "llibi.ch"          //  Use Light Lib Images defines
#include "llibg.ch"          //  Use Light Lib Graphics defines
#include "llibitoo.ch"       //  Use Light Lib Images tools defines
#include "llibgtoo.ch"       //  Use Light Lib Graphics tools defines

*
FUNCTION ISamples()

   LOCAL nUserMode := 0      // Graphics mode choosen by user
   LOCAL nChoice   := 1

   CLS
   SET CURSOR OFF            // Hide cursor

   IF (nUserMode := nChooseVideoMode())==0

      QUIT                   // User strike ESC or no graphics modes available

   ELSE

      gMode( nUserMode )     // Turn in the choosen graphics mode
                             // for exemple gMode(LLG_VIDEO_VGA_640_480_16)

                             // Display Wall Paper with WallPaper(FileName)
                             // This little CLIPPER function
                             // use LLIBG calls. See LLibgToo.prg

      IF gMode()[LLG_MODE_COLOR_MAX]==256
                             // If 256 color are available display a
                             // 256 colors BMP
         WallPaper("STEPS256.BMP")

      ELSE                   // Else display a 16 colors BMP

         WallPaper("STEPS.BMP")

      ENDIF

   ENDIF

   DO WHILE nChoice <> 0

      nChoice := nMessageBox("B & W    : Show, scan and display Black and White images ;"+     ;
                             " Colors   : Show, scan and display 256 colors images      ;"+    ;
                             " DataBase : Gets and images in the same form              ;"+    ;
                             " Virtual  : Use an image as a virtual screen              ;"+    ;
                             " Formats  : View/compare/convert files formats            ;"    ,;
                             "Light Lib Images "+TRANSFORM(iSet( LLI_GET_VERSION )/100,'#.##'),;
                             {"Quit","B & W","Colors","DataBase","Virtual","Formats"}   ,      ;
                             MB_ICON_INFO                                                      ;
                            )
      IF nChoice == 1

         EXIT

      ELSEIF nChoice == 2

         ExecImages('I_B&W_*.TIF')

      ELSEIF nChoice == 3

         IF gMode()[LLG_MODE_COLOR_MAX]==256

            ExecImages('I_256_*.TIF')

         ELSE

            nMessageBox("This demo needs a 256 colors scren" ,;
                        "Screen display"                     ,;
                        MB_OK                                ,;
                        MB_ICON_STOP                          ;
                     )


         ENDIF

      ELSEIF nChoice == 4

         IF gMode()[LLG_MODE_COLOR_MAX]==256

            GetImage(06,08,23,72,"People.dbf")

         ELSE

            nMessageBox("This demo needs a 256 colors scren" ,;
                        "Screen display"                     ,;
                        MB_OK                                ,;
                        MB_ICON_STOP                          ;
                     )


         ENDIF

      ELSEIF nChoice == 5

         VirtualTerminal(04,04,MAXROW()-4,MAXCOL()-4)

      ELSEIF nChoice == 6

         iFormat()

      ENDIF

   ENDDO

   QUIT

   RETURN (NIL)


*
STATIC FUNCTION ExecImages(cType)

   LOCAL nI          := 0
   LOCAL aImgAvail   := {}


                                    // Load specified files
   aImgAvail   := DIRECTORY(cType)

                         // Extract filenames
   FOR nI := 1 TO LEN(aImgAvail)
      aImgAvail[nI]:=aImgAvail[nI,1]
   NEXT
   ASORT(aImgAvail)

   IF LEN(aImgAvail)>0    // If images are available

                        // Browse array of images
      ImageBrowse(02, 02, MAXROW()-2, MAXCOL()-2, aImgAvail)

   ENDIF

   RETURN (NIL)


