/***
*  LLIBG.CH
*  Standard Light Lib Graphics definitions
*
*  Copyright (c) 1992-1993, D.F.L.
*  All rights reserved.
*/

//                       ------------- Graphics definitions -------

// Screen video modes
#DEFINE LLG_VIDEO_TXT                    3


#DEFINE LLG_VIDEO_VGA_640_480_16        18
#DEFINE LLG_VIDEO_VESA_800_592_16      258
#DEFINE LLG_VIDEO_VESA_1024_768_16     260
#DEFINE LLG_VIDEO_VESA_1280_1024_16    262


#DEFINE LLG_VIDEO_VESA_640_480_256     257
#DEFINE LLG_VIDEO_VESA_800_592_256     259
#DEFINE LLG_VIDEO_VESA_1024_768_256    261
#DEFINE LLG_VIDEO_VESA_1280_1024_256   263



// Screen display objects modes
#DEFINE LLG_MODE_SET                  -1
#DEFINE LLG_MODE_AND                  -2
#DEFINE LLG_MODE_OR                   -3
#DEFINE LLG_MODE_XOR                  -4

// Object painting modes
#DEFINE LLG_FILL                      .T.
#DEFINE LLG_FRAME                     .F.

// Mode state
#DEFINE LLG_MODE_TEXT_ROW              1
#DEFINE LLG_MODE_TEXT_COL              2
#DEFINE LLG_MODE_GRAPH_ROW             3
#DEFINE LLG_MODE_GRAPH_COL             4
#DEFINE LLG_MODE_FONT_ROW              5
#DEFINE LLG_MODE_FONT_COL              6
#DEFINE LLG_MODE_COLOR_MAX             7
#DEFINE LLG_MODE_IN_USE                8
#DEFINE LLG_MODE_LIB_VERSION           9
#DEFINE LLG_MODE_LST_COLOR            10
#DEFINE LLG_MODE_LST_MODE             11

// Bmp dimensions values
#DEFINE LLG_BMP_X                      1
#DEFINE LLG_BMP_Y                      2

// BOX and DispBox default for 3D BOX
#DEFINE LLG_BOX_GRAY_STD               CHR(2)+CHR(8)
#DEFINE LLG_BOX_GRAY_SQUARE            CHR(4)+CHR(8)


//                       ------------- Mouse definitions ----------

// Regions modes
#DEFINE LLM_INCLUDE                   .T.

// Button Up/Down
#DEFINE LLM_BUTTON_UP                  0
#DEFINE LLM_BUTTON_DOWN                1

// Mouse state
#DEFINE LLM_STATE_X                    1
#DEFINE LLM_STATE_Y                    2
#DEFINE LLM_STATE_ROW                  3
#DEFINE LLM_STATE_COL                  4
#DEFINE LLM_STATE_LEFT                 5
#DEFINE LLM_STATE_RIGHT                6
#DEFINE LLM_STATE_VISIBLE              7
#DEFINE LLM_STATE_DRIVER               8

// Mouse coordinates units
#DEFINE LLM_COOR_TEXT                 .F.
#DEFINE LLM_COOR_GRAPH                .T.

// Mouse initial state and positions
#DEFINE LLM_INIT_STATE                {0,0,0,0,LLM_BUTTON_UP,LLM_BUTTON_UP,.F.,0}
