/***
*  LLIBI.CH
*  Standard Light Lib Images definitions
*
*  Copyright (c) 1992-1993, D.F.L.
*  All rights reserved.
*/



// Memory devices types  ------------------------------------------------------
#DEFINE LLI_MEMORY               1  // Memory Device
#DEFINE LLI_MEMORY_BW            1  // 1 bit  / pixels
#DEFINE LLI_MEMORY_16            4  // 4 bits / pixels
#DEFINE LLI_MEMORY_256           8  // 8 bits / pixels



// Screen devices types  ------------------------------------------------------
#DEFINE LLI_SCREEN               2  // Screen Device



// Disk devices types  --------------------------------------------------------
#DEFINE LLI_DISK                 3  // Disk device
#DEFINE LLI_DISK_BMP           100  // BMP file format
#DEFINE LLI_DISK_TIF           200  // TIF file format
#DEFINE LLI_DISK_PCX           300  // PCX file format


                                         //                            Ŀ      | IMAGE | IMAGE |  LLIBI  |
                                         // Mono-color-lib availability >   |  B&W  | COLOR | VERSION |
                                         //                                  |       |       |         |
#DEFINE LLI_DISK_COMPRESS_NIL       NIL  // No compression for BMP or TI       |  YES  |  YES  | STD-PRO |
#DEFINE LLI_DISK_COMPRESS_AUTO      000  // Automatic best compression format  |  YES  |  YES  | STD-PRO |
#DEFINE LLI_DISK_COMPRESS_RLE       100  // Run lenght encoding for TIF or PCX |  YES  |  YES  | STD-PRO |
#DEFINE LLI_DISK_COMPRESS_CCITT1D   110  // Modified Huffman for TIF           |  YES  |  NO   | STD-PRO |
#DEFINE LLI_DISK_COMPRESS_CCITTG3   130  // Group 3 for TIF                    |  YES  |  NO   |     PRO |
#DEFINE LLI_DISK_COMPRESS_CCITTG4   140  // Group 4 for TIF                    |  YES  |  NO   |     PRO |
#DEFINE LLI_DISK_COMPRESS_LZW       160  // Lempel for TIF                     |  YES  |  YES  |     PRO |
#DEFINE LLI_DISK_COMPRESS_JPEG      300  // JPEG for TIF                       |  NO   |  YES  |     PRO |


// Printer devices types  -----------------------------------------------------
#DEFINE LLI_PRINTER               4  // Printer device
#DEFINE LLI_PRINTER_PCL4_BW     100  // HP PCL 4 Black & White printer
#DEFINE LLI_PRINTER_POST_BW     200  // PostScript Black & White printer
#DEFINE LLI_PRINTER_POST_GRAY   210  // PostScript gray levels printer
#DEFINE LLI_PRINTER_POST_COLOR  220  // PostScript color printer

#DEFINE LLI_PRINTER_LPT1         1  // Print to LPT1
#DEFINE LLI_PRINTER_LPT2         2  // Print to LPT2
#DEFINE LLI_PRINTER_LPT3         3  // Print to LPT3

#DEFINE LLI_PRINTER_EJECT      .T.  // Eject page after image print
#DEFINE LLI_PRINTER_NO_EJECT   .F.  // Do not eject page after image print



// Scanner devices types  -----------------------------------------------------
#DEFINE LLI_SCANNER                 5  // Scanning device
#DEFINE LLI_SCANNER_HP_BW         100  // HP SCANJET Black & White
#DEFINE LLI_SCANNER_HP_DITHERED_4 110  // HP SCANJET dithering 4x4 Text
#DEFINE LLI_SCANNER_HP_DITHERED_8 111  // HP SCANJET dithering 8x8 Photos
#DEFINE LLI_SCANNER_HP_GRAY_256   120  // HP SCANJET 256 Gray Levels
#DEFINE LLI_SCANNER_HP_COLOR_256  130  // HP SCANJET 256 Colors



// Multi purposes -------------------------------------------------------------
#DEFINE LLI_FULL_SIZE           -1  // Mean max size for a document

#DEFINE LLI_DPI_75              75  //   75 Dots per inches density
#DEFINE LLI_DPI_100            100  //  100 Dots per inches density
#DEFINE LLI_DPI_150            150  //  150 Dots per inches density
#DEFINE LLI_DPI_300            300  //  300 Dots per inches density
#DEFINE LLI_DPI_600            600  //  600 Dots per inches density
#DEFINE LLI_DPI_1200          1200  // 1200 Dots per inches density

#DEFINE LLG_VIDEO_IMAGE         -1  // Terminal is a virtual image
#DEFINE LLI_VIDEO_SCREEN        -1  // Turn back terminal to screen
#DEFINE LLI_CANCEL_UDF          -1  // Set udf to NIL



// Set options  ---------------------------------------------------------------
#DEFINE LLI_SET_UDF             10  // Set for udf name and frequency
#DEFINE LLI_SET_TERM            20  // Set for Light Lib Graphics terminal emulator
#DEFINE LLI_GET_VERSION         30  // Get Light Lib Images version



// Udf call modes  ------------------------------------------------------------
#DEFINE LLI_UDF_INIT            10  // Init phase for a Light Lib Images function execution
#DEFINE LLI_UDF_IDLE            20  // Idle phase for a Light Lib Images function execution
#DEFINE LLI_UDF_EXIT            30  // Exit phase for a Light Lib Images function execution
#DEFINE LLI_UDF_ERROR           40  // Error append during a Light Lib Images function execution



// Udf return modes  ----------------------------------------------------------
#DEFINE LLI_UDF_CONT           .T.  // Udf continue message for Light Lib Images functions
#DEFINE LLI_UDF_ABORT          .F.  // Udf abort message for Light Lib Images functions



// Palette modes --------------------------------------------------------------
#DEFINE LLI_PALETTE_SHARED     100  // Use a linear 256 colors palette shared with others images
#DEFINE LLI_PALETTE_EXCLUSIVE  200  // Use a optimised 256 colors palette exclusive to one image



// Images structure  ----------------------------------------------------------
#DEFINE LLI_IMG_SIGNATURE        1  // Image signature value must be LLI_IMG_IS_IMAGE
#DEFINE LLI_IMG_CARGO            2  // Available slot for application purposes
#DEFINE LLI_IMG_TYPE             3  // Image memory type (ie LLI_MEMORY_BW ...)
#DEFINE LLI_IMG_WIDTH            4  // Image width in pixels
#DEFINE LLI_IMG_HEIGHT           5  // Image Height in pixels
#DEFINE LLI_IMG_COLORS           6  // Image number of colors
#DEFINE LLI_IMG_DPI              7  // Image density in DPI



// Images signature  ----------------------------------------------------------
#DEFINE LLI_IMG_IS_IMAGE   "LLIBI"  // Image signature



// iCopy Modes  ---------------------------------------------------------------
#DEFINE LLI_COPY_CLONE          10  // iCopy() clone message
#DEFINE LLI_COPY_ZOOM           20  // iCopy() zoom  message
#DEFINE LLI_COPY_TURN           30  // iCopy() turn  message

#DEFINE LLI_TURN_90             90  // iCopy(LLI_COPY_TURN)  90
#DEFINE LLI_TURN_180           180  // iCopy(LLI_COPY_TURN) 180
#DEFINE LLI_TURN_270           270  // iCopy(LLI_COPY_TURN) 270



// Error messages  ------------------------------------------------------------
#DEFINE LLI_ERROR_MEMORY_BAD_PARAMETERS     1001  // Incompatible parameters in a memory-handling function
#DEFINE LLI_ERROR_MEMORY_NO_MORE_SPACE      1002  // No more  room in VMM

#DEFINE LLI_ERROR_SCREEN_BAD_PARAMETERS     2001  // Incompatible parameters in a function involving a screen operation
#DEFINE LLI_ERROR_SCREEN_BAD_MODE           2002  // Bad screen use mode

#DEFINE LLI_ERROR_DISK_BAD_PARAMETERS       3001  // Incompatible parameters in a function concerning an operation on the hard disk
#DEFINE LLI_ERROR_DISK_NOT_AVAILABLE        3002  // Hard disk/File not available
#DEFINE LLI_ERROR_DISK_FULL                 3003  // Hard disk full
#DEFINE LLI_ERROR_DISK_WRITE_PROTECTED      3004  // Hard disk/File is write-protected
#DEFINE LLI_ERROR_DISK_READ_WRITE_ERROR     3005  // Read-write error
#DEFINE LLI_ERROR_DISK_BAD_FILE_FORMAT      3006  // Bad file format

#DEFINE LLI_ERROR_PRINTER_BAD_PARAMETERS    4001  // Incompatibles parameters in a function involving a printer operation
#DEFINE LLI_ERROR_PRINTER_NOT_ONLINE        4002  // Printer Off Line
#DEFINE LLI_ERROR_PRINTER_PAPER_OUT         4003  // Out of paper

#DEFINE LLI_ERROR_SCANNER_BAD_PARAMETERS    5001  // Incompatible parameters in a function involving a scanner operation
#DEFINE LLI_ERROR_SCANNER_NOT_ONLINE        5002  // Scanner Off Line

